name: local-release-demo

# Intended for local network use.
# Remote access is possible if the host has a public IP address.

on:
  workflow_dispatch:

jobs:
  local-release-demo:
    runs-on: ubuntu-latest
    steps:
      - name: Remote deploy internal chamomind server
        uses: appleboy/ssh-action@v1.0.3
        with:
          host: ${{ secrets.HOST }}
          username: ${{ secrets.USERNAME }}
          password: ${{ secrets.PASSWORD }}
          script: |
            cd ~/repositories/jws-frontend
            git pull
            docker compose up -d --build
